Subject: Re: [PATCH net] net: xilinx: axienet: Fix packet counting

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Sep 2024 17:09:17 -0700

On Tue,  3 Sep 2024 13:56:19 -0400 Sean Anderson wrote:
> axienet_free_tx_chain returns the number of DMA descriptors it's
> handled. However, axienet_tx_poll treats the return as the number of
> packets. When scatter-gather SKBs are enabled, a single packet may use
> multiple DMA descriptors, which causes incorrect packet counts. Fix this
> by explicitly keepting track of the number of packets processed as
> separate from the DMA descriptors.

budget doubles up as a "are we really in NAPI" flag.
You can't pass non-zero budget to napi_consume_skb() if not in NAPI.
-- 
pw-bot: cr